<html xmlns:string="xalan://java.lang.String" xmlns:lxslt="http://xml.apache.org/xslt">
<head>
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Unit Test Results: All Failures</title>
<link rel="stylesheet" type="text/css" title="Style" href="stylesheet.css">
</head>
<body onload="open('allclasses-frame.html','classListFrame')">
<h1>Unit Test Results.</h1>
<table width="100%">
<tr>
<td align="left"></td><td align="right">Designed for use with <a href="http://www.junit.org/">JUnit</a> and <a href="http://ant.apache.org/">Ant</a>.</td>
</tr>
</table>
<hr size="1">
<h2>All Failures</h2>
<table class="details" border="0" cellpadding="5" cellspacing="2" width="95%">
<tr valign="top">
<th>Class</th><th>Name</th><th>Status</th><th width="80%">Type</th><th nowrap>Time(s)</th>
</tr>
<tr valign="top" class="Failure">
<td><a href="/0_BienParentheseeCrochetsTest.html">BienParentheseeCrochetsTest</a></td><td><a name="moinsDeParenthesesFermantesQueOuvrantesEstMalParenthesee"></a><a href="/0_BienParentheseeCrochetsTest.html#moinsDeParenthesesFermantesQueOuvrantesEstMalParenthesee">moinsDeParenthesesFermantesQueOuvrantesEstMalParenthesee</a></td><td>Failure</td><td>N/A<br>
<br>
<code>junit.framework.AssertionFailedError<br>	at BienParentheseeCrochetsTest.moinsDeParenthesesFermantesQueOuvrantesEstMalParenthesee(Unknown Source)<br>
</code></td><td>0.003</td>
</tr>
<tr valign="top" class="Failure">
<td><a href="/0_BienParentheseeCrochetsTest.html">BienParentheseeCrochetsTest</a></td><td><a name="pasDansLeBonOrdre"></a><a href="/0_BienParentheseeCrochetsTest.html#pasDansLeBonOrdre">pasDansLeBonOrdre</a></td><td>Failure</td><td>N/A<br>
<br>
<code>junit.framework.AssertionFailedError<br>	at BienParentheseeCrochetsTest.pasDansLeBonOrdre(Unknown Source)<br>
</code></td><td>0.000</td>
</tr>
<tr valign="top" class="Failure">
<td><a href="/0_BienParentheseeCrochetsTest.html">BienParentheseeCrochetsTest</a></td><td><a name="moinsDeParenthesesOuvrantesQueFermantesEstMalParenthesee"></a><a href="/0_BienParentheseeCrochetsTest.html#moinsDeParenthesesOuvrantesQueFermantesEstMalParenthesee">moinsDeParenthesesOuvrantesQueFermantesEstMalParenthesee</a></td><td>Failure</td><td>N/A<br>
<br>
<code>junit.framework.AssertionFailedError<br>	at BienParentheseeCrochetsTest.moinsDeParenthesesOuvrantesQueFermantesEstMalParenthesee(Unknown Source)<br>
</code></td><td>0.001</td>
</tr>
<tr valign="top" class="Failure">
<td><a href="/1_BienParentheseeTest.html">BienParentheseeTest</a></td><td><a name="moinsDeParenthesesFermantesQueOuvrantesEstMalParenthesee"></a><a href="/1_BienParentheseeTest.html#moinsDeParenthesesFermantesQueOuvrantesEstMalParenthesee">moinsDeParenthesesFermantesQueOuvrantesEstMalParenthesee</a></td><td>Failure</td><td>((()) est mal parenthes&eacute;e.<br>
<br>
<code>junit.framework.AssertionFailedError: ((()) est mal parenthes&eacute;e.<br>	at BienParentheseeTest.moinsDeParenthesesFermantesQueOuvrantesEstMalParenthesee(Unknown Source)<br>
</code></td><td>0.004</td>
</tr>
<tr valign="top" class="Failure">
<td><a href="/1_BienParentheseeTest.html">BienParentheseeTest</a></td><td><a name="pasDansLeBonOrdre"></a><a href="/1_BienParentheseeTest.html#pasDansLeBonOrdre">pasDansLeBonOrdre</a></td><td>Failure</td><td>)( est mal parenthes&eacute;e.<br>
<br>
<code>junit.framework.AssertionFailedError: )( est mal parenthes&eacute;e.<br>	at BienParentheseeTest.pasDansLeBonOrdre(Unknown Source)<br>
</code></td><td>0.001</td>
</tr>
<tr valign="top" class="Failure">
<td><a href="/1_BienParentheseeTest.html">BienParentheseeTest</a></td><td><a name="moinsDeParenthesesOuvrantesQueFermantesEstMalParenthesee"></a><a href="/1_BienParentheseeTest.html#moinsDeParenthesesOuvrantesQueFermantesEstMalParenthesee">moinsDeParenthesesOuvrantesQueFermantesEstMalParenthesee</a></td><td>Failure</td><td>(())) est mal parenthes&eacute;e.<br>
<br>
<code>junit.framework.AssertionFailedError: (())) est mal parenthes&eacute;e.<br>	at BienParentheseeTest.moinsDeParenthesesOuvrantesQueFermantesEstMalParenthesee(Unknown Source)<br>
</code></td><td>0.001</td>
</tr>
<tr valign="top" class="Failure">
<td><a href="/2_DecoupeTest.html">DecoupeTest</a></td><td><a name="DecoupeChaineVideRenvoieListeVide"></a><a href="/2_DecoupeTest.html#DecoupeChaineVideRenvoieListeVide">DecoupeChaineVideRenvoieListeVide</a></td><td>Failure</td><td>expected:&lt;[]&gt; but was:&lt;null&gt;<br>
<br>
<code>junit.framework.AssertionFailedError: expected:&lt;[]&gt; but was:&lt;null&gt;<br>	at DecoupeTest.DecoupeChaineVideRenvoieListeVide(Unknown Source)<br>
</code></td><td>0.007</td>
</tr>
<tr valign="top" class="Failure">
<td><a href="/2_DecoupeTest.html">DecoupeTest</a></td><td><a name="DecoupeExemple"></a><a href="/2_DecoupeTest.html#DecoupeExemple">DecoupeExemple</a></td><td>Failure</td><td>expected:&lt;[Bonjour, tout, le, monde]&gt; but was:&lt;null&gt;<br>
<br>
<code>junit.framework.AssertionFailedError: expected:&lt;[Bonjour, tout, le, monde]&gt; but was:&lt;null&gt;<br>	at DecoupeTest.DecoupeExemple(Unknown Source)<br>
</code></td><td>0.001</td>
</tr>
<tr valign="top" class="Failure">
<td><a href="/2_DecoupeTest.html">DecoupeTest</a></td><td><a name="DecoupeEspacesMultiplesExemple"></a><a href="/2_DecoupeTest.html#DecoupeEspacesMultiplesExemple">DecoupeEspacesMultiplesExemple</a></td><td>Failure</td><td>expected:&lt;[Bonjour, tout, le, monde]&gt; but was:&lt;null&gt;<br>
<br>
<code>junit.framework.AssertionFailedError: expected:&lt;[Bonjour, tout, le, monde]&gt; but was:&lt;null&gt;<br>	at DecoupeTest.DecoupeEspacesMultiplesExemple(Unknown Source)<br>
</code></td><td>0.001</td>
</tr>
<tr valign="top" class="Failure">
<td><a href="/5_MotMajoritaireTest.html">MotMajoritaireTest</a></td><td><a name="majoritaireDoitEtreEfficace"></a><a href="/5_MotMajoritaireTest.html#majoritaireDoitEtreEfficace">majoritaireDoitEtreEfficace</a></td><td>Failure</td><td>expected:&lt;a&gt; but was:&lt;null&gt;<br>
<br>
<code>junit.framework.AssertionFailedError: expected:&lt;a&gt; but was:&lt;null&gt;<br>	at MotMajoritaireTest.majoritaireDoitEtreEfficace(Unknown Source)<br>	at java.util.concurrent.FutureTask.run(FutureTask.java:266)<br>	at java.lang.Thread.run(Thread.java:748)<br>
</code></td><td>0.471</td>
</tr>
<tr valign="top" class="Failure">
<td><a href="/5_MotMajoritaireTest.html">MotMajoritaireTest</a></td><td><a name="majoritaireTexteExemple"></a><a href="/5_MotMajoritaireTest.html#majoritaireTexteExemple">majoritaireTexteExemple</a></td><td>Failure</td><td>expected:&lt;ami&gt; but was:&lt;null&gt;<br>
<br>
<code>junit.framework.AssertionFailedError: expected:&lt;ami&gt; but was:&lt;null&gt;<br>	at MotMajoritaireTest.majoritaireTexteExemple(Unknown Source)<br>
</code></td><td>0.001</td>
</tr>
<tr valign="top" class="Failure">
<td><a href="/5_MotMajoritaireTest.html">MotMajoritaireTest</a></td><td><a name="majoritairePremierParOrdreAlphabetiqueEnCasDEgalite"></a><a href="/5_MotMajoritaireTest.html#majoritairePremierParOrdreAlphabetiqueEnCasDEgalite">majoritairePremierParOrdreAlphabetiqueEnCasDEgalite</a></td><td>Failure</td><td>expected:&lt;ami&gt; but was:&lt;null&gt;<br>
<br>
<code>junit.framework.AssertionFailedError: expected:&lt;ami&gt; but was:&lt;null&gt;<br>	at MotMajoritaireTest.majoritairePremierParOrdreAlphabetiqueEnCasDEgalite(Unknown Source)<br>
</code></td><td>0.001</td>
</tr>
<tr valign="top" class="Failure">
<td><a href="/5_MotMajoritaireTest.html">MotMajoritaireTest</a></td><td><a name="majoritaireTexteExempleAvecEspaces"></a><a href="/5_MotMajoritaireTest.html#majoritaireTexteExempleAvecEspaces">majoritaireTexteExempleAvecEspaces</a></td><td>Failure</td><td>expected:&lt;ami&gt; but was:&lt;null&gt;<br>
<br>
<code>junit.framework.AssertionFailedError: expected:&lt;ami&gt; but was:&lt;null&gt;<br>	at MotMajoritaireTest.majoritaireTexteExempleAvecEspaces(Unknown Source)<br>
</code></td><td>0.000</td>
</tr>
<tr valign="top" class="Failure">
<td><a href="/6_PlusPetitQueTousTest.html">PlusPetitQueTousTest</a></td><td><a name="bonjourPlusPetitQueToutLeMonde"></a><a href="/6_PlusPetitQueTousTest.html#bonjourPlusPetitQueToutLeMonde">bonjourPlusPetitQueToutLeMonde</a></td><td>Failure</td><td>Votre fonction a renvoy&eacute; False avec le mot bonjour et la liste ["tout", "le", "monde" ]. Elle aurait du renvoyer True <br>
<br>
<code>junit.framework.AssertionFailedError: Votre fonction a renvoy&eacute; False avec le mot bonjour et la liste ["tout", "le", "monde" ]. Elle aurait du renvoyer True <br>	at PlusPetitQueTousTest.bonjourPlusPetitQueToutLeMonde(Unknown Source)<br>
</code></td><td>0.003</td>
</tr>
<tr valign="top" class="Failure">
<td><a href="/8_RechercheDichotomiqueTest.html">RechercheDichotomiqueTest</a></td><td><a name="rechercheSurListeVideDoitRenvoyerFalse"></a><a href="/8_RechercheDichotomiqueTest.html#rechercheSurListeVideDoitRenvoyerFalse">rechercheSurListeVideDoitRenvoyerFalse</a></td><td>Failure</td><td>N/A<br>
<br>
<code>junit.framework.AssertionFailedError<br>	at RechercheDichotomiqueTest.rechercheSurListeVideDoitRenvoyerFalse(Unknown Source)<br>	at java.util.concurrent.FutureTask.run(FutureTask.java:266)<br>	at java.lang.Thread.run(Thread.java:748)<br>
</code></td><td>0.007</td>
</tr>
<tr valign="top" class="Failure">
<td><a href="/8_RechercheDichotomiqueTest.html">RechercheDichotomiqueTest</a></td><td><a name="rechercheSurGrosTableau"></a><a href="/8_RechercheDichotomiqueTest.html#rechercheSurGrosTableau">rechercheSurGrosTableau</a></td><td>Failure</td><td>N/A<br>
<br>
<code>junit.framework.AssertionFailedError<br>	at RechercheDichotomiqueTest.rechercheSurGrosTableau(Unknown Source)<br>	at java.util.concurrent.FutureTask.run(FutureTask.java:266)<br>	at java.lang.Thread.run(Thread.java:748)<br>
</code></td><td>0.001</td>
</tr>
<tr valign="top" class="Failure">
<td><a href="/8_RechercheDichotomiqueTest.html">RechercheDichotomiqueTest</a></td><td><a name="rechercheCorrecteSurPetitTableau"></a><a href="/8_RechercheDichotomiqueTest.html#rechercheCorrecteSurPetitTableau">rechercheCorrecteSurPetitTableau</a></td><td>Failure</td><td>0 n'appartient pas au tableau [1,2,3,4]. Votre fonction dit le contraire<br>
<br>
<code>junit.framework.AssertionFailedError: 0 n'appartient pas au tableau [1,2,3,4]. Votre fonction dit le contraire<br>	at RechercheDichotomiqueTest.rechercheCorrecteSurPetitTableau(Unknown Source)<br>	at java.util.concurrent.FutureTask.run(FutureTask.java:266)<br>	at java.lang.Thread.run(Thread.java:748)<br>
</code></td><td>0.001</td>
</tr>
</table>
</body>
</html>
